# Single Assets Daily

The endpoint requires an API key and it requires that the symbol of the index is specified using the symbol parameter. If the limit parameter is not specified the latest value is returned. To ensure chronological ordering of the index values you should sort the values using the timestamp field. The endpoint only returns a maximum of 2000 records.

**Example URL**

{% embed url="<https://www.vinterapi.com/api/v3/single_assets_daily/?symbol=btc-usd-p-d>" %}

## Response Fields

<table><thead><tr><th width="179.33333333333331">Field</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>integer</td><td>The record's id in the source table. A id that equals 0 means that it is not an official value.</td></tr><tr><td>created_at</td><td>string</td><td>ISO formatted datetime representing the calculation time</td></tr><tr><td>symbol</td><td>string</td><td>The index symbol.</td></tr><tr><td>value</td><td>number</td><td>The index value</td></tr><tr><td>timestamp</td><td>integer</td><td>Unix timestamp in milliseconds representing the calculation time.</td></tr><tr><td>date</td><td>string</td><td>Date representing the calculation date</td></tr></tbody></table>

<mark style="color:blue;">`GET`</mark> `https://www.vinterapi.com/api/v3/single_assets_daily/`

This is a sample response for asset btc-usd-p-d

#### Query Parameters

| Name                                     | Type       | Description                                                                                                                                                                                                                                             |
| ---------------------------------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String     | The ticker of the requested index                                                                                                                                                                                                                       |
| limit                                    | Integer    | The number of records to obtain. If the parameter is not specified the last record will be returned.                                                                                                                                                    |
| start\_time                              | datestring | <p>Received range includes the start time date. The start\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p> |
| end\_time                                | datestring | <p>Received range excludes the end\_time . The end\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p>        |

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | your\_secret\_api\_key |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "result": "success",
    "message": "Success",
    "data": [
        {
            "id": 3140634,
            "created_at": "2022-11-17T16:00:12.401Z",
            "symbol": "btc-usd-p-d",
            "value": 16581.89,
            "timestamp": 1668700812400,
            "date": "2022-11-17"
        }
    ],
    "params": {
        "symbol": "btc-usd-p-d"
    }
}
```

{% endtab %}
{% endtabs %}

Please read the following for detailed information on parameters.

{% content-ref url="/pages/NKJxJZXheBpBlL7dslBz" %}
[API Requests Parameters](/formerly-vinter-indices/api/api-requests-parameters.md)
{% endcontent-ref %}

### [Try the API](https://vinterapi.com/apidocs)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/formerly-vinter-indices/api/single-assets-reference-rates/single-assets-daily.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
